import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const citySubmitNewTenant = createAsyncThunk(
  "CITY_NEW_TENANT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("api/newregister/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
